<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::AnyNumeric::numholder&lt; ValueType &gt; Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#2720b7413df1f0384dc6a53f618a5776">add</a>(placeholder *rhs)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#8f39c28d0d67fec960573196e5e462a7">clone</a>() const </td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#5df1d61d12c35b1abc587ea2323ec1f5">divide</a>(placeholder *rhs)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#30747552f8f12160cab496cf7b0d3e23">getType</a>() const </td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#f70c75bcdb763868f6c40591a1e64699">held</a></td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#09ef8fec011588204b5ffc4c00770526">multiply</a>(placeholder *rhs)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#582605d2ca14d373552fc099760a346a">multiply</a>(Real factor)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#b9414baa5ac2efe6abe7486d4287d137">numholder</a>(const ValueType &amp;value)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#28c881c1c5e62ebeb79d451f059fbed4">subtract</a>(placeholder *rhs)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#1cd19a31e8c9e9f73824e2db792bf629">writeToStream</a>(std::ostream &amp;o)</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#0fc12f0f9daac95af59b02f5ecdd4f1f">~numplaceholder</a>()</td><td><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html">Ogre::AnyNumeric::numplaceholder</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Any_1_1placeholder.html#d122e24bf73e447ee0a34066598a4866">~placeholder</a>()</td><td><a class="el" href="classOgre_1_1Any_1_1placeholder.html">Ogre::Any::placeholder</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
